%define		major 8
%define		libname %mklibname %{name} %{major}
%define		devel %mklibname -d %{name}

Name:		fmt
Version:	8.1.1
Release:	%mkrel 1
Summary:	Small, safe and fast formatting library
Group:	    System/Libraries
License:	BSD
URL:		https://fmtlib.org
Source0:	https://github.com/fmtlib/fmt/archive/%{version}/%{name}8-%{version}.tar.xz
BuildRequires:	cmake

%description
fmt is an open-source formatting library for C++. It can be used as a safe
alternative to printf or as a fast alternative to IOStreams.


%package -n	%{libname}
Summary:	The libfmt libraries
Group:		System/Libraries

%description -n	%{libname}
This package contains the library for libfmt


%package -n	%{devel}
Summary:	Development files for libfmt
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel

%description -n	%{devel}
This package contains the development header files, libraries
and cmake files for libfmt


%prep
%setup -q
%apply_patches

%build
%cmake
%make_build

%install
rm -rf %buildroot
%make_install -C build

%files -n	%{libname}
%{_libdir}/libfmt.so.%{major}
%{_libdir}/libfmt.so.%{major}.*


%files -n	%{devel}
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/libfmt.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Feb 08 2023 tex - 8.1.1-1pclos2023
- new version

* Mon Jul 12 2021 tex - 8.0.1-1pclos2021
- new version

* Mon Apr 05 2021 tex - 7.1.3-1pclos2021
- version 7.1.3

* Mon Jan 27 2019 tex - 5.2.1-1pclos2019
- version 5.2.1
